package com.bootdo.data.service.impl;

import java.util.List;
import java.util.Map;

import com.bootdo.data.dao.DataUploadDao;
import com.bootdo.data.domain.DataUploadDO;
import com.bootdo.data.service.DataUploadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description: 重要数据
 * @Author: wangp
 * @Date: 2022/2/27 14:49
 */
@Service
public class DataUploadServiceImpl implements DataUploadService {
	@Autowired
	private DataUploadDao dataUploadDao;
	
	@Override
	public DataUploadDO get(Long id){
		return dataUploadDao.get(id);
	}
	
	@Override
	public List<DataUploadDO> list(Map<String, Object> map){
		return dataUploadDao.list(map);
	}
	
	@Override
	public int count(Map<String, Object> map){
		return dataUploadDao.count(map);
	}
	
	@Override
	public int save(DataUploadDO dataUpload){
		return dataUploadDao.save(dataUpload);
	}
	
	@Override
	public int update(DataUploadDO dataUpload){
		return dataUploadDao.update(dataUpload);
	}
	
	@Override
	public int remove(Long id){
		return dataUploadDao.remove(id);
	}
	
	@Override
	public int batchRemove(Long[] ids){
		return dataUploadDao.batchRemove(ids);
	}
	
}
